### Virtual Method

# Clutter Actor map

#### Declaration [src]

    void
    map (
      ClutterActor* self
    )

#### Description [src]

Sets the `CLUTTER_ACTOR_MAPPED` flag on the actor and possibly maps and realizes its children if they are visible. Does nothing if the actor is not visible.

Calling this function is strongly discouraged: the default implementation of `Clutter.ActorClass.map` will map all the children of an actor when mapping its parent.

When overriding map, it is mandatory to chain up to the parent implementation.